> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Data Recipients

> Use the /api/v1/recipients endpoint to get a list of all registered Data Recipients.

Use the `/api/v1/recipients` endpoint to get a list of all registered Data Recipients.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`


## OpenAPI

````yaml /openapi-outbound.yaml GET /api/v1/recipients
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients:
    get:
      tags:
        - Outbound
      summary: Get All Data Recipients
      description: >-
        Use the /api/v1/recipients endpoint to get a list of all registered Data
        Recipients.
      operationId: getAllDataRecipients
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    client_id:
                      type: string
                      description: Unique identifier for the data recipient.
                    name:
                      type: string
                      description: Name of the data recipient.
                    logo_uri:
                      type: string
                      description: URL to the data recipient's logo.
                    description:
                      type: string
                      description: Description of the data recipient.
                    terms_uri:
                      type: string
                      description: URL to the data recipient's terms of service.
                    client_uri:
                      type: string
                      description: URL to the data recipient's website.
                    country:
                      type: string
                      description: Country code of the data recipient (e.g., CA, US).
                    contacts:
                      type: array
                      items:
                        type: object
                        properties:
                          email:
                            type: string
                            description: Email address of the contact.
                      description: Contact information for the data recipient.
              example:
                - client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                  name: Flinks Fake
                  logo_uri: https://flinks.fake.com/logo.png
                  description: Description of Flinks Fake
                  terms_uri: https://flinks.fake.com/callback/terms.html
                  client_uri: https://flinks.fake.com/
                  country: CA
                  contacts:
                    - email: john.doe@flinks.fake.com
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````